Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumProperties

- java.lang.Object
- - java.lang.Enum<EnumProperties>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumProperties

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumProperties>`

      public enum EnumProperties
      extends java.lang.Enum<EnumProperties>
      implements java.io.Serializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATA_PATH` |
    `ERROR_LOG_PATH` |
    `INDEX_OFFSET_VAL` |
    `SEARCH_RETURNLIMIT_VAL` |
    `SUGGEST_RETURNLIMIT_VAL` |
    `TOP_SUGGEST_RETURNLIMIT_VAL` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumProperties` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumProperties` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumProperties[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATA_PATH

          public static final EnumProperties DATA_PATH

    - #### ERROR_LOG_PATH

          public static final EnumProperties ERROR_LOG_PATH

    - #### TOP_SUGGEST_RETURNLIMIT_VAL

          public static final EnumProperties TOP_SUGGEST_RETURNLIMIT_VAL

    - #### SUGGEST_RETURNLIMIT_VAL

          public static final EnumProperties SUGGEST_RETURNLIMIT_VAL

    - #### SEARCH_RETURNLIMIT_VAL

          public static final EnumProperties SEARCH_RETURNLIMIT_VAL

    - #### INDEX_OFFSET_VAL

          public static final EnumProperties INDEX_OFFSET_VAL

  - ### Method Detail

    - #### values

          public static EnumProperties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumProperties c : EnumProperties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumProperties valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### getEnum

          public static EnumProperties getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumProperties` enumeration for given string value